summaryrefslogtreecommitdiffstats
path: root/azure-pipelines/build-mac
diff options
context:
space:
mode:
authorJay Berkenbilt <ejb@ql.org>2018-10-11 19:35:07 +0200
committerJay Berkenbilt <ejb@ql.org>2018-10-11 21:07:51 +0200
commit4628461383855610f87c8df5c64535f521056a32 (patch)
tree7ef7e671d1b2f35cf1e81b4b22d24bb9426bb4f0 /azure-pipelines/build-mac
parente7adaff786bf4bed30be39a8a28edb9f65888b12 (diff)
downloadqpdf-4628461383855610f87c8df5c64535f521056a32.tar.zst
Set up Azure Pipelines
Use free Azure Pipelines to do Linux, Windows, and Mac build and test and to generate Windows binary distributions.
Diffstat (limited to 'azure-pipelines/build-mac')
-rwxr-xr-xazure-pipelines/build-mac13
1 files changed, 13 insertions, 0 deletions
diff --git a/azure-pipelines/build-mac b/azure-pipelines/build-mac
new file mode 100755
index 00000000..95ea884b
--- /dev/null
+++ b/azure-pipelines/build-mac
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -ex
+curl -L https://www.ijg.org/files/jpegsrc.v9c.tar.gz -o jpegsrc.v9c.tar.gz
+tar xzf jpegsrc.v9c.tar.gz
+cd jpeg-9c
+./configure
+make
+sudo make install
+cd ..
+unzip distfiles/distfiles.zip
+./configure --enable-werror --enable-show-failed-test-output
+make -j$(nproc)
+make -k check